<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useSubsetTable](./react.usesubsettable.md)

## useSubsetTable() function

<b>Signature:</b>

```typescript
export declare function useSubsetTable(table: ColumnTable, columns?: IColumn[]): ColumnTable;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  table | ColumnTable |  |
|  columns | IColumn\[\] | <i>(Optional)</i> |

<b>Returns:</b>

ColumnTable

